/////////////////////////////////////////////////////////////////////////////
// Name:        DVDPropDlg.h
// Purpose:     DVD properties dialog
// Author:      Alex Thuering
// Created:     7.03.2005
// RCS-ID:      $Id: DVDPropDlg.h,v 1.3 2009/12/30 17:44:18 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////
 
#ifndef DVD_PROP_DLG_H
#define DVD_PROP_DLG_H

#include <wx/wx.h>
#include <wxVillaLib/PropDlg.h>
#include "DVD.h"

class DVDPropDlg: public wxPropDlg {
public:
    DVDPropDlg(wxWindow *parent, DVD* dvd);
	virtual ~DVDPropDlg() {}

protected:
	void CreatePropPanel(wxSizer* sizer);
	bool SetValues();

private:
	DVD* m_dvd;
	/** Returns list of possible first play commands */
	wxArrayString GetFPCommands();
};

#endif // DVD_PROP_DLG_H
